Subject: Re: reproducable panic eviction work queue

From: Frank Schreuder <[email-masked]>
Date: Mon, 20 Jul 2015 14:47:37 +0200

On 7/18/2015  05:32 PM, Nikolay Aleksandrov wrote:
> On 07/18/2015 05:28 PM, Johan Schuijt wrote:
>> Thx for your looking into this!
>>
>>> Thank you for the report, I will try to reproduce this locally
>>> Could you please post the full crash log ?
>> Of course, please see attached file.
>>
>>> Also could you test
>>> with a clean current kernel from Linus' tree or Dave's -net ?
>> Will do.
>>
>>> These are available at:
>>> git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
>>> git://git.kernel.org/pub/scm/linux/kernel/git/davem/net
>>> respectively.
>>>
>>> One last question how many IRQs do you pin i.e. how many cores
>>> do you actively use for receive ?
>> This varies a bit across our systems, but we’ve managed to reproduce this with IRQs pinned on as many as 2,4,8 or 20 cores.
>>
>> I won’t have access to our test-setup till Monday again, so I’ll be testing 3 scenario’s then:
>> - Your patch
> -----
>> - Linux tree
>> - Dave’s -net tree
> Just one of these two would be enough. I couldn't reproduce it here but
> I don't have as many machines to test right now and had to improvise with VMs. :-)
>
>> I’ll make sure to keep you posted on all the results then. We have a kernel dump of the panic, so if you need me to extract any data from there just let me know! (Some instructions might be needed)
>>
>> - Johan
>>
> Great, thank you!
>
I'm able to reproduce this panic on the following kernel builds:
- 3.18.7
- 3.18.18
- 3.18.18 + patch from Nikolay Aleksandrov
- 4.1.0

Would you happen to have any more suggestions we can try?

Thanks,
Frank

-- 

TransIP BV

Schipholweg 11E
2316XB Leiden
E: [email-masked]
I: https://www.transip.nl